<?php


function cofreDados($datainicio,$datafinal){

require_once('script_php/VerificarBaixaCofre.php');

?>

<!DOCTYPE html>
<html>
<head>

<?php include_once 'head.html' ?>

<title></title>
</head>

<body>

<?php include_once 'header.php'; ?>

 <!--mensagens na tela-->
 <?php if (isset($_SESSION["msg"])) {
      echo $_SESSION["msg"];
      unset($_SESSION["msg"]);
  } ?>
 
<form action="recorrenciaContasaPagar.php">
<button type="submit" class="btn btn-outline-warning">Cadastrar Recorrência</button>
</form>

	<form action="script_php/cofre.php" method="post">

	<input type="text" name="valor" placeholder="Valor" class = "form-control form_forn" autofocus> <p> <p> 
	<input type="text" name="sangria" placeholder="sangria" class = "form-control form_forn"  required="" > <p> <p> 

	<input type="submit" name="botao" value="Cadastrar" class="btn btn-outline-primary">

	</form>
	<p></p>


<h4>Escritório</h4>

	<table class="table">
	<thead>
    <tr class="table-primary">
      <th scope="col">ID</th>
      <th>Data</th>
      <th scope="col">SANGRIA</th>
      <th scope="col">VALOR</th>
      <?php if (($tipousuario == 'admsistema' or $tipousuario == 'comprador' or $tipousuario == 'recebimento')){ ?>
      <th scope="col"> EXLUIR</th>
      <th>Finalizar</th>
    <?php } ?>

    <th>Informado Softcom</th>
     </tr>
</thead>
<?php

$result = "SELECT * FROM cofre WHERE loja = '$loja' and data > '$datainicio'";

  $resultado = mysqli_query($conexao, $result);

    while($linha = mysqli_fetch_array($resultado)){

      $sangria = $linha['sangria'];
      $id = $linha['ID'];
      $valor = $linha['valor'];

 $numer = VerificarCofre($conexao,$id);
 if ($numer != $linha[0]){
     
?>
     <tr>
      <td><?= $id ?></td>
      <td><?= date("d/m/Y", strtotime($linha['data'])); ?> </td>
      <td><?= $sangria ?></td>

      <td>R$ <?php echo number_format($valor, 2, ',', '.' );;?></td>

      <?php if (($tipousuario == 'admsistema' or $tipousuario == 'comprador' or $tipousuario == 'recebimento')){ ?>

      <?php if($linha['baixado'] == 1){ ?>
        <td>
        <button type="button" class="btn btn-outline-danger" title="Excluir">1º Desfazer Baixa </button>
      </td>
      <?php }else{ ?>

        
        <td>

        <a  href="script_php/excluir_sangria.php?id=<?= $linha['ID']?> " onclick="return confirm('Excluir? Auteração não poderá ser desfeita!')" >

        <button type="button" class="btn btn-outline-danger" title="Excluir">Excluir</button>

      </a>

      </td>

      <?php }?>

          <td>
        
        <a  href="script_php/finalizarCofre.php?id=<?= $id?> " onclick="return confirm('Finalizar?')" >
        <button type="button" class="btn btn-danger" title="Esse botão significa que já foi feito o deposito desse período e não preciso mais fazer o controle desse valor">Finalizar</button>

      </a>

      </td>
      <?php } ?>


            <?php if($linha['baixado'] == 1){ ?>
              
      <td>
      <button type="button" class="btn btn-warning" >Informado Softcom </button>
      </td>

      <?php }else{ ?>


        <?php if (($tipousuario == 'admsistema' or $tipousuario == 'fiscal')){?>

<td>
<a  href="script_php/informarsoftcom.php?id=<?= $linha['ID']?> " onclick="return confirm('Excluir? Auteração não poderá ser desfeita!')" >
<button type="button" class="btn btn-danger" title="Excluir">Informar Softcom </button>
</a>
</td>
<?php } ?>

<?php } }?>

     </tr>

<?php } ?>

</table>

<?php
$result = "SELECT sum(valor) as valor FROM cofre WHERE loja = '$loja' AND baixado IS NULL";
  $resultado = mysqli_query($conexao, $result);
    while($linha = mysqli_fetch_array($resultado)){
      $total = $linha['valor'];
    }
?>

<h3> [Total R$ <?php echo number_format($total, 2, ',', '.' );?> ] </h3>

<?php if ($tipousuario <> 'recebimento'){ ?>

<!-- SQL SERVER SOFTCOM -->
<hr>
<h4>Caixa</h4>
<hr>

<table class="table">

  <thead>
    <tr class="table-primary">
      <th scope="col">ID</th>
      <th>Data</th>
      <th scope="col">SANGRIA</th>
      <th scope="col">VALOR</th>
      <th>Finalizar</th>
      <th>Recorrênte</th>
     
     </tr>
</thead>

 <?php

$lojaSQL = "";

switch ($loja) {
  case 'loja02':
    $lojaSQL = 'LOJA 02';
    break;
      case 'loja03':
    $lojaSQL = 'LOJA 03';
    break;
      case 'loja04':
    $lojaSQL = 'LOJA 04';
    break;
      case 'loja05':
    $lojaSQL = 'LOJA 05';
    break;
      case 'matriz':
    $lojaSQL = 'MATRIZ';
    break;
  }

try{

    $Conexao    = Conexao::getConnection();
    $query      = $Conexao->query("SELECT * FROM [Contas a pagar2] WHERE  [Histórico] NOT LIKE '%NOITE%' AND  [Histórico] NOT LIKE '%SUPRIMENTO%' AND  [Histórico] NOT LIKE '%TROCA/DEVOLUÇÃO%' AND  [Histórico] NOT LIKE '%MANHA%' AND  [Histórico] NOT LIKE '%DIA%' AND  [Histórico] NOT LIKE '%DIA%' AND  [Histórico] NOT LIKE '%FECHAMENTO%'   AND  [Histórico] NOT LIKE '%TARDE%' AND [Data de Pagamento] >= '2023/01/09' AND [Data de Pagamento] <= '2030/03/12' AND LojaOrigem = '$lojaSQL' AND [ChaveaPagar] = 0;");
    $produtos   = $query->fetchAll();

}catch(Exception $e){

  echo $e->getMessage();
  exit;
 }

foreach($produtos as $conta) {

   $dataSQL = $conta['Data de Pagamento'];
   $loja = $conta['LojaOrigem'];

   $valorSQL = round($conta['Valor Pago2'], 2);

 $numer = VerificarCofreSQL($conexao,$conta[0]);
 if ($numer != $conta[0]){


?>
<tr>
      <td><?= $conta[0]?></td>
      <td><?= date("d/m/Y", strtotime($dataSQL)); ?> </td>
      <td><?= $conta[2];  ?></td>
      <td>R$ <?php echo number_format($valorSQL, 2, ',', '.' );;?></td>


      <td>

        <a  href="script_php/finalizarCofreSoft.php?id=<?= $conta[0]?> " onclick="return confirm('Finalizar?')" >
        <button type="button" class="btn btn-outline-danger" title="Finalizar">Finalizar</button>

      </a>

      </td>

      
      <td>

        <a  href="recorrenciaEscolha.php?id=<?= $conta[0]?>">
        <button type="button" class="btn btn-outline-warning" title="Finalizar">Recorrênte</button>

      </a>

      </td>
</tr>

<?php } }?>

</table>

<!-- SQL SERVER SOFTCOM TODOS -->
<h4>Todas as sangrias do caixa</h4>

<table class="table">

  <thead>
    
    <tr class="table-primary">
      <th scope="col">ID</th>
      <th>Data</th>
      <th scope="col">SANGRIA</th>
      <th scope="col">VALOR</th>
      <th>Finalizar</th>
      <th>Recorrênte</th>
     </tr>

</thead>

 <?php

try{

    $Conexao    = Conexao::getConnection();
    $query      = $Conexao->query("SELECT * FROM [Contas a pagar2] WHERE [Data de Pagamento] >= '2023/01/09' AND  [Histórico] NOT LIKE '%FECHAMENTO%' AND  [Histórico] NOT LIKE '%TROCA/DEVOLUÇÃO%' AND [Data de Pagamento] <= '2030/03/01' AND LojaOrigem = '$lojaSQL' AND [Valor Pago2] > 0  AND [ChaveaPagar] = 0;");
    $produtos   = $query->fetchAll();

}catch(Exception $e){

  echo $e->getMessage();
  exit;
 }

foreach($produtos as $conta) {

   $dataSQL = $conta['Data de Pagamento'];
   $loja = $conta['LojaOrigem'];

   $valorSQL = round($conta['Valor Pago2'], 2);

 $numer = VerificarCofreSQL($conexao,$conta[0]);
 if ($numer != $conta[0]){

?>
<tr>
      <td><?= $conta[0]?></td>
      <td><?= date("d/m/Y", strtotime($dataSQL)); ?> </td>
      <td><?= $conta[2];  ?></td>
      <td width='120px'>R$ <?php echo number_format($valorSQL, 2, ',', '.' );;?></td>
      <td>

        <a  href="script_php/finalizarCofresoft.php?id=<?= $conta[0]?> " onclick="return confirm('Finalizar?')" >
        <button type="button" class="btn btn-outline-danger" title="Finalizar">Finalizar</button>

      </a>

      </td>
            
<td>
  <a   href="recorrenciaEscolha.php?id=<?= $conta[0]?>" >
  <button type="button" class="btn btn-outline-warning" title="Finalizar">Recorrênte</button>
</a>
</td>



</tr>


<?php
 }
      
    } 
  }
}

?>
